<!doctype html>
{% load static %}
<html lang="en">
<head>
    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <!-- Bootstrap css -->
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.0-beta1/dist/css/bootstrap.min.css" rel="stylesheet"
          integrity="sha384-giJF6kkoqNQ00vy+HMDP7azOuL0xtbfIcaT9wjKHr8RbDVddVHyTfAAsrekwKmP1" crossorigin="anonymous">

    <!--Owl Carousel css-->
    <link rel="stylesheet" href="{% static 'store/css/owl.carousel.min.css' %}">

    <!--FontAwesome css-->
    <link href="//netdna.bootstrapcdn.com/font-awesome/3.2.1/css/font-awesome.css" rel="stylesheet">

    <!--Custom css-->
    <link rel="stylesheet" href="{% static 'store/css/style.css' %}">
    <link rel="stylesheet" href="//code.jquery.com/ui/1.13.1/themes/base/jquery-ui.css">

    <title>E-Grocery | {% block title %} {% endblock title %} </title>
</head>
<body>
<nav class="navbar sticky-top navbar-expand-lg navbar-dark bg-dark">
    <div class="container">
        <a class="navbar-brand" href="/">E-Grocery</a>
        <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarSupportedContent"
                aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
            <span class="navbar-toggler-icon"></span>
        </button>
        <div class="collapse navbar-collapse" id="navbarSupportedContent">
            <ul class="navbar-nav me-auto mb-2 mb-lg-0">
                <li class="nav-item">
                    <a class="nav-link active" aria-current="page" href="/">Home</a>
                </li>
                <li class="nav-item dropdown">
                    <a class="nav-link dropdown-toggle text-white" href="#" id="categoryDropdown" role="button"
                       data-bs-toggle="dropdown" aria-expanded="false">
                        Categories
                    </a>
                    <ul class="dropdown-menu" aria-labelledby="categoryDropdown">
                        {% for c in category %}
                        <input type="hidden" value="{{c.category}}" class="category-item">
                        <li><a class="dropdown-item" href="{% url 'category' c.id %}">{{c.category}}</a></li>
                        {% endfor %}
                    </ul>
                </li>
            </ul>
            <form method="POST" action="{% url 'searcheditem' %}" class="d-flex">
                {% csrf_token %}
                <input class="form-control me-2" required id="searchproducts" type="search"
                       placeholder="Search Products" aria-label="Search" name="searchproducts" value="">
                <button class="btn btn-primary">Search</button>
            </form>
            <div>
                <ul class="navbar-nav me-auto mb-2 mb-lg-0">
                    {% if request.user.is_authenticated %}
                    <li class="nav-item dropdown mx-2">
                        <a class="nav-link dropdown-toggle text-white" href="#" id="profileDropdown" role="button"
                           data-bs-toggle="dropdown" aria-expanded="false">
                            {{request.user.username|capfirst}}
                        </a>
                        <ul class="dropdown-menu" aria-labelledby="profileDropdown">
                            <li><a class="dropdown-item" href="{% url 'profile' %}">Profile</a></li>
                            <li><a class="dropdown-item" href="{% url 'address' %}">My Address Book</a></li>
                            <li><a class="dropdown-item" href="{% url 'orders' %}">Orders</a></li>
                            <li><a class="dropdown-item" href="{% url 'order-history' %}">Orders History</a></li>
                            <li><a class="dropdown-item" href="{% url 'changepassword' %}">Change Password</a></li>
                            <li><a class="dropdown-item" href="{% url 'logout' %}">Logout</a></li>
                        </ul>
                    </li>
                    <li class="nav-item mx-2">
                        <a href="{% url 'cart' %}" class="nav-link text-white"> Cart &nbsp; <i
                                class="fa fa-shopping-cart"></i></a>
                    </li>
                    {% else %}
                    <li class="nav-item mx-2">
                        <a href="{% url  'login' %}" class="nav-link text-white">Login</a>
                    </li>
                    <li class="nav-item mx-2">
                        <a href="{% url 'register' %}" class="nav-link text-white">Registration</a>
                    </li>
                    {% endif %}
                </ul>
            </div>
        </div>
    </div>
</nav>
<div class="container">
    <div class="row my-3">
        <div class="col-sm-6 offset-sm-3">
            <div class="content-section">
                {% if messages %}
                {% for message in messages %}
                <div class="alert alert-{{ message.tags }}">
                    {{ message }}
                </div>
                {% endfor %}
                {% endif %}
                {% block content %}{% endblock %}
            </div>
        </div>
    </div>
</div>
<div class="row">
    <div class="col-md-8">

    </div>
</div>
{% block banner_slider %} {% endblock banner_slider %}
{% block livesale %} {% endblock livesale %}
{% block main-content %} {% endblock main-content %}

<!-- Start Footer -->
<footer class="container-fluid bg-dark text-center p-2 mt-5">
    <small class="text-white">|| &nbsp; &nbsp; &nbsp; Thank You For Visit Have A Great Day!! &nbsp; &nbsp;
        &nbsp;|| </small>
</footer>

<!-- Jquery -->
<script src="{% static 'store/js/jquery-3.6.0.min.js' %}"></script>
<script src="{% static 'store/js/owl.carousel.min.js' %}" type="application/javascript"></script>
<script src="https://oss.maxcdn.com/html5shiv/3.7.3/html5shiv.min.js"></script>
<script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
<script src="{% static 'store/js/custom.js' %}" type="application/javascript"></script>
<script src="https://code.jquery.com/ui/1.13.1/jquery-ui.js"></script>
<script src="{% static 'store/js/all.min.js' %}" type="application/javascript"></script>

<!-- Bootstrap Bundle with Popper -->
<script src="https://cdn.jsdelivr.net/npm/bootstrap@5.0.0-beta1/dist/js/bootstrap.bundle.min.js"
        integrity="sha384-ygbV9kiqUc6oa4msXn9868pTtWMgiQaeYH7/t7LECLbyPA2x65Kgf80OJFdroafW"
        crossorigin="anonymous"></script>


</body>
</html>
